Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer Namespace Reference

## Compounds
class | PortableServer::_TAO_Unbounded_Object_Sequence_PortableServer_POAList
class | PortableServer::_TAO_Unbounded_Sequence_PortableServer_IDs
interface | PortableServer::AdapterActivator
class | PortableServer::AdapterActivator_out
class | PortableServer::AdapterActivator_var
interface | PortableServer::Current
exception | PortableServer::Current::NoContext
class | PortableServer::Current_out
class | PortableServer::Current_var
class | PortableServer::IdAssignmentPolicy_out
class | PortableServer::IdAssignmentPolicy_var
class | PortableServer::IDs
class | PortableServer::IDs_out
class | PortableServer::IDs_var
class | PortableServer::IdUniquenessPolicy_out
class | PortableServer::IdUniquenessPolicy_var
class | PortableServer::ImplicitActivationPolicy_out
class | PortableServer::ImplicitActivationPolicy_var
class | PortableServer::LifespanPolicy_out
class | PortableServer::LifespanPolicy_var
class | PortableServer::ObjectId
class | PortableServer::ObjectId_out
class | PortableServer::ObjectId_var
exception | PortableServer::POA::ObjectNotActive
exception | PortableServer::POA::ObjectAlreadyActive
exception | PortableServer::POA::NoServant
exception | PortableServer::POA::InvalidPolicy
exception | PortableServer::POA::AdapterNonExistent
exception | PortableServer::POA::AdapterAlreadyExists
interface | PortableServer::POA
class | PortableServer::POA_out
class | PortableServer::POA_var
class | PortableServer::POAList
class | PortableServer::POAList_out
class | PortableServer::POAList_var
exception | PortableServer::POAManager::AdapterInactive
exception | PortableServer::ForwardRequest
interface | PortableServer::IdAssignmentPolicy
interface | PortableServer::IdUniquenessPolicy
interface | PortableServer::ImplicitActivationPolicy
interface | PortableServer::LifespanPolicy
exception | PortableServer::NotAGroupObject
interface | PortableServer::POAManager
class | PortableServer::POAManager_out
class | PortableServer::POAManager_var
interface | PortableServer::RequestProcessingPolicy
class | PortableServer::RequestProcessingPolicy_out
class | PortableServer::RequestProcessingPolicy_var
interface | PortableServer::ServantActivator
exception | PortableServer::POA::ServantAlreadyActive
class | PortableServer::ServantActivator_out
class | PortableServer::ServantActivator_var
interface | PortableServer::ServantLocator
class | PortableServer::ServantLocator_out
class | PortableServer::ServantLocator_var
interface | PortableServer::ServantManager
exception | PortableServer::POA::ServantNotActive
class | PortableServer::ServantManager_out
class | PortableServer::ServantManager_var
interface | PortableServer::ServantRetentionPolicy
class | PortableServer::ServantRetentionPolicy_out
class | PortableServer::ServantRetentionPolicy_var
interface | PortableServer::ThreadPolicy
exception | PortableServer::POA::WrongAdapter
exception | PortableServer::POA::WrongPolicy
class | PortableServer::ThreadPolicy_out
class | PortableServer::ThreadPolicy_var
## Typedefs
typedef sequence< POA > | POAList
typedef sequence< octet > | ObjectId
typedef sequence< ObjectId > | IDs
typedef TAO_ServantBase | ServantBase
typedef TAO_ServantBase_var | ServantBase_var
typedef TAO_RefCountServantBase | RefCountServantBase
typedef TAO_Local_ServantBase | LocalServantBase
typedef TAO_DynamicImplementation | DynamicImplementation
typedef POA * | POA_ptr
typedef ThreadPolicyValue & | ThreadPolicyValue_out
typedef ThreadPolicy * | ThreadPolicy_ptr
typedef LifespanPolicyValue & | LifespanPolicyValue_out
typedef LifespanPolicy * | LifespanPolicy_ptr
typedef IdUniquenessPolicyValue & | IdUniquenessPolicyValue_out
typedef IdUniquenessPolicy * | IdUniquenessPolicy_ptr
typedef IdAssignmentPolicyValue & | IdAssignmentPolicyValue_out
typedef IdAssignmentPolicy * | IdAssignmentPolicy_ptr
typedef ImplicitActivationPolicyValue & | ImplicitActivationPolicyValue_out
typedef ImplicitActivationPolicy * | ImplicitActivationPolicy_ptr
typedef ServantRetentionPolicyValue & | ServantRetentionPolicyValue_out
typedef ServantRetentionPolicy * | ServantRetentionPolicy_ptr
typedef RequestProcessingPolicyValue & | RequestProcessingPolicyValue_out
typedef RequestProcessingPolicy * | RequestProcessingPolicy_ptr
typedef POAManager * | POAManager_ptr
typedef AdapterActivator * | AdapterActivator_ptr
typedef ServantManager * | ServantManager_ptr
typedef ServantActivator * | ServantActivator_ptr
typedef ServantLocator * | ServantLocator_ptr
typedef Current * | Current_ptr
## Enumerations
enum | ThreadPolicyValue { ORB_CTRL_MODEL, SINGLE_THREAD_MODEL }
enum | LifespanPolicyValue { TRANSIENT, PERSISTENT }
enum | IdUniquenessPolicyValue { UNIQUE_ID, MULTIPLE_ID }
enum | IdAssignmentPolicyValue { USER_ID, SYSTEM_ID }
enum | ImplicitActivationPolicyValue { IMPLICIT_ACTIVATION, NO_IMPLICIT_ACTIVATION }
enum | ServantRetentionPolicyValue { RETAIN, NON_RETAIN }
enum | RequestProcessingPolicyValue { USE_ACTIVE_OBJECT_MAP_ONLY, USE_DEFAULT_SERVANT, USE_SERVANT_MANAGER }
enum | ThreadPolicyValue { ORB_CTRL_MODEL, SINGLE_THREAD_MODEL }
enum | LifespanPolicyValue { TRANSIENT, PERSISTENT }
enum | IdUniquenessPolicyValue { UNIQUE_ID, MULTIPLE_ID }
enum | IdAssignmentPolicyValue { USER_ID, SYSTEM_ID }
enum | ImplicitActivationPolicyValue { IMPLICIT_ACTIVATION, NO_IMPLICIT_ACTIVATION }
enum | ServantRetentionPolicyValue { RETAIN, NON_RETAIN }
enum | RequestProcessingPolicyValue { USE_ACTIVE_OBJECT_MAP_ONLY, USE_DEFAULT_SERVANT, USE_SERVANT_MANAGER }
## Functions
TAO_NAMESPACE_STORAGE_CLASS char * | ObjectId_to_string (const PortableServer::ObjectId &id)
TAO_NAMESPACE_STORAGE_CLASS CORBA::WChar * | ObjectId_to_wstring (const PortableServer::ObjectId &id)
TAO_NAMESPACE_STORAGE_CLASS PortableServer::ObjectId * | string_to_ObjectId (const char *id)
TAO_NAMESPACE_STORAGE_CLASS PortableServer::ObjectId * | wstring_to_ObjectId (const CORBA::WChar *id)
## Variables
local interface | POA
native | Servant
const CORBA::PolicyType | THREAD_POLICY_ID = 16
const CORBA::PolicyType | LIFESPAN_POLICY_ID = 17
const CORBA::PolicyType | ID_UNIQUENESS_POLICY_ID = 18
const CORBA::PolicyType | ID_ASSIGNMENT_POLICY_ID = 19
const CORBA::PolicyType | IMPLICIT_ACTIVATION_POLICY_ID = 20
const CORBA::PolicyType | SERVANT_RETENTION_POLICY_ID = 21
const CORBA::PolicyType | REQUEST_PROCESSING_POLICY_ID = 22
TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr | _tc_ObjectId
TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr | _tc_ForwardRequest
TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr | _tc_NotAGroupObject
TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr | _tc_IDs
TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr | _tc_ThreadPolicyValue
TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr | _tc_LifespanPolicyValue
TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr | _tc_IdUniquenessPolicyValue
TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr | _tc_IdAssignmentPolicyValue
TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr | _tc_ImplicitActivationPolicyValue
TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr | _tc_ServantRetentionPolicyValue
TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr | _tc_RequestProcessingPolicyValue

## Typedef Documentation

typedef AdapterActivator* PortableServer::AdapterActivator_ptr

typedef Current* PortableServer::Current_ptr

typedef TAO_DynamicImplementation PortableServer::DynamicImplementation

typedef IdAssignmentPolicy* PortableServer::IdAssignmentPolicy_ptr

typedef IdAssignmentPolicyValue& PortableServer::IdAssignmentPolicyValue_out

typedef sequence<ObjectId> PortableServer::IDs

typedef IdUniquenessPolicy* PortableServer::IdUniquenessPolicy_ptr

typedef IdUniquenessPolicyValue& PortableServer::IdUniquenessPolicyValue_out

typedef ImplicitActivationPolicy* PortableServer::ImplicitActivationPolicy_ptr

typedef ImplicitActivationPolicyValue& PortableServer::ImplicitActivationPolicyValue_out

typedef LifespanPolicy* PortableServer::LifespanPolicy_ptr

typedef LifespanPolicyValue& PortableServer::LifespanPolicyValue_out

typedef TAO_Local_ServantBase PortableServer::LocalServantBase

typedef sequence<octet> PortableServer::ObjectId

typedef POA* PortableServer::POA_ptr

typedef sequence<POA> PortableServer::POAList

typedef POAManager* PortableServer::POAManager_ptr

typedef TAO_RefCountServantBase PortableServer::RefCountServantBase

typedef RequestProcessingPolicy* PortableServer::RequestProcessingPolicy_ptr

typedef RequestProcessingPolicyValue& PortableServer::RequestProcessingPolicyValue_out

typedef ServantActivator* PortableServer::ServantActivator_ptr

typedef TAO_ServantBase PortableServer::ServantBase

typedef TAO_ServantBase_var PortableServer::ServantBase_var

typedef ServantLocator* PortableServer::ServantLocator_ptr

typedef ServantManager* PortableServer::ServantManager_ptr

typedef ServantRetentionPolicy* PortableServer::ServantRetentionPolicy_ptr

typedef ServantRetentionPolicyValue& PortableServer::ServantRetentionPolicyValue_out

typedef ThreadPolicy* PortableServer::ThreadPolicy_ptr

typedef ThreadPolicyValue& PortableServer::ThreadPolicyValue_out

## Enumeration Type Documentation

enum PortableServer::IdAssignmentPolicyValue

  | Enumeration values:
  USER_ID |
  SYSTEM_ID |

enum PortableServer::IdAssignmentPolicyValue

  | Enumeration values:
  USER_ID |
  SYSTEM_ID |

enum PortableServer::IdUniquenessPolicyValue

  | Enumeration values:
  UNIQUE_ID |
  MULTIPLE_ID |

enum PortableServer::IdUniquenessPolicyValue

  | Enumeration values:
  UNIQUE_ID |
  MULTIPLE_ID |

enum PortableServer::ImplicitActivationPolicyValue

  | Enumeration values:
  IMPLICIT_ACTIVATION |
  NO_IMPLICIT_ACTIVATION |

enum PortableServer::ImplicitActivationPolicyValue

  | Enumeration values:
  IMPLICIT_ACTIVATION |
  NO_IMPLICIT_ACTIVATION |

enum PortableServer::LifespanPolicyValue

  | Enumeration values:
  TRANSIENT |
  PERSISTENT |

enum PortableServer::LifespanPolicyValue

  | Enumeration values:
  TRANSIENT |
  PERSISTENT |

enum PortableServer::RequestProcessingPolicyValue

  | Enumeration values:
  USE_ACTIVE_OBJECT_MAP_ONLY |
  USE_DEFAULT_SERVANT |
  USE_SERVANT_MANAGER |

enum PortableServer::RequestProcessingPolicyValue

  | Enumeration values:
  USE_ACTIVE_OBJECT_MAP_ONLY |
  USE_DEFAULT_SERVANT |
  USE_SERVANT_MANAGER |

enum PortableServer::ServantRetentionPolicyValue

  | Enumeration values:
  RETAIN |
  NON_RETAIN |

enum PortableServer::ServantRetentionPolicyValue

  | Enumeration values:
  RETAIN |
  NON_RETAIN |

enum PortableServer::ThreadPolicyValue

  | Enumeration values:
  ORB_CTRL_MODEL |
  SINGLE_THREAD_MODEL |

enum PortableServer::ThreadPolicyValue

  | Enumeration values:
  ORB_CTRL_MODEL |
  SINGLE_THREAD_MODEL |

## Function Documentation

char * PortableServer::ObjectId_to_string | ( | const PortableServer::ObjectId & | id | ) |

CORBA::WChar * PortableServer::ObjectId_to_wstring | ( | const PortableServer::ObjectId & | id | ) |

PortableServer::ObjectId * PortableServer::string_to_ObjectId | ( | const char * | id | ) |

PortableServer::ObjectId * PortableServer::wstring_to_ObjectId | ( | const CORBA::WChar * | id | ) |

## Variable Documentation

TAO_NAMESPACE_STORAGE_CLASS ::CORBA::TypeCode_ptr PortableServer::_tc_ForwardRequest

TAO_NAMESPACE_STORAGE_CLASS ::CORBA::TypeCode_ptr PortableServer::_tc_IdAssignmentPolicyValue

TAO_NAMESPACE_STORAGE_CLASS ::CORBA::TypeCode_ptr PortableServer::_tc_IDs

TAO_NAMESPACE_STORAGE_CLASS ::CORBA::TypeCode_ptr PortableServer::_tc_IdUniquenessPolicyValue

TAO_NAMESPACE_STORAGE_CLASS ::CORBA::TypeCode_ptr PortableServer::_tc_ImplicitActivationPolicyValue

TAO_NAMESPACE_STORAGE_CLASS ::CORBA::TypeCode_ptr PortableServer::_tc_LifespanPolicyValue

TAO_NAMESPACE_STORAGE_CLASS ::CORBA::TypeCode_ptr PortableServer::_tc_NotAGroupObject

TAO_NAMESPACE_STORAGE_CLASS ::CORBA::TypeCode_ptr PortableServer::_tc_ObjectId

TAO_NAMESPACE_STORAGE_CLASS ::CORBA::TypeCode_ptr PortableServer::_tc_RequestProcessingPolicyValue

TAO_NAMESPACE_STORAGE_CLASS ::CORBA::TypeCode_ptr PortableServer::_tc_ServantRetentionPolicyValue

TAO_NAMESPACE_STORAGE_CLASS ::CORBA::TypeCode_ptr PortableServer::_tc_ThreadPolicyValue

TAO_NAMESPACE_STORAGE_CLASS const CORBA::ULong PortableServer::ID_ASSIGNMENT_POLICY_ID = 19

TAO_NAMESPACE_STORAGE_CLASS const CORBA::ULong PortableServer::ID_UNIQUENESS_POLICY_ID = 18

TAO_NAMESPACE_STORAGE_CLASS const CORBA::ULong PortableServer::IMPLICIT_ACTIVATION_POLICY_ID = 20

TAO_NAMESPACE_STORAGE_CLASS const CORBA::ULong PortableServer::LIFESPAN_POLICY_ID = 17

local interface PortableServer::POA

TAO_NAMESPACE_STORAGE_CLASS const CORBA::ULong PortableServer::REQUEST_PROCESSING_POLICY_ID = 22

typedef ServantBase * PortableServer::Servant

TAO_NAMESPACE_STORAGE_CLASS const CORBA::ULong PortableServer::SERVANT_RETENTION_POLICY_ID = 21

TAO_NAMESPACE_STORAGE_CLASS const CORBA::ULong PortableServer::THREAD_POLICY_ID = 16